Subject: cvs: checking in files with DOS line endings
From: Braden McDaniel <[email-masked]>
To: [email-masked]
Date: Fri, 16 Aug 2002 12:06:25 -0400
Newsgroups: gmane.os.cygwin

I'm trying to check in some files with \r\n line endings using Cygwin cvs.
No matter what I do, it looks like the client is converting the line
endings to \n when it uploads the file. I have:

  1. Told the repository to treat the file as binary.
  2. Made certain the the files on the client side have the \r\n line
     endings.
  3. Checked in the changes to the files.

But when I check them back out, they have \n line endings!

And when I check them out with WinCVS, they have \n line endings.

Is there some option I can give Cygwin cvs to tell it to upload the files
as-is?

Braden

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/